package com.xsnb.system.controller;

import com.xsnb.common.domain.User;
import com.xsnb.common.result.Result;
import com.xsnb.system.domain.Mail;
import com.xsnb.system.service.MailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * FileName: DomeController
 * Author: 张海宁
 * Date:   2024/3/4 14:07
 * Description:测试广场
 * History:
 * <author>      <time>     <version>     <desc>
 * 作者姓名       修改时间      版本号         描述
 */

@RestController
@RequestMapping("/mail")
public class MailController {
    @Autowired
    MailService mailService;
    //获取邮件列表
    @PostMapping("/allListMail")
    public Result<List<Mail>> allListMail(@RequestBody User user){return mailService.allListMail(user);}
    //删除邮件,通过传来的邮箱id来删除邮件
    @PostMapping("/deleteMail/{mailId}")
    public Result deleteMail(@PathVariable Long[] mailId){
        return mailService.deleteMail(mailId);
    }

    //添加邮件,通过邮箱实体类来创建邮箱,也就是邮箱发送
    @PostMapping("/addMail")
    public Result<Mail> addMail(@RequestBody Mail mail){
        return mailService.addMail(mail);
    }

    //邮箱已读未读状态
    @PostMapping("/reading")
    public Result reading(Mail mail){
        return mailService.reading(mail);
    }

    //附件添加
    @PostMapping("/addAttachment")
    public Result addAttachment( Mail mail,@RequestParam("file") MultipartFile file){
        return mailService.addAttachment(mail,file);
    }

    //抄送
    @PostMapping("/copyMail")
    public Result copyMail(Mail mail){
        return mailService.copyMail(mail);
    }


}
